[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamReader.OwnsStream

Should the stream be freed on close

## Declaration

Source position: streamex.pp line 122

`public property TStreamReader.OwnsStream : Boolean read FOwnsStream write FOwnsStream;`

## Description

OwnsStream determines whether the stream TStreamReader.BaseStream must be freed when TStreamReader.Close is called or when the TStreamReader instance is destroyed.

## See also

TStreamReader.BaseStream |  | The stream with the text data
TStreamReader.Close |  | Close and possibly free the stream